TIBCO EMS .NET API 8.5 TIBCO EMS .NET API 8.5

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties | List of all members
TIBCO.EMS.ADMIN.DurableInfo Class Reference

This class represents a durable subscription on the Tibjms server. More...

## Public Member Functions
override string | ToString ()
| Generate a string representation of this DurableInfo. More...

## Properties
string | DurableName`[get]`
| Get the name of this durable. More...
string | TopicName`[get]`
| Get the topic name that this durable subscribes to. More...
string | ClientID`[get]`
| Get the client ID associated with this durable. More...
string | UserName`[get]`
| Get the name of the authenticated user whose connection this durable subscriber is currently using. More...
long | ConsumerID`[get]`
| Get the consumer ID associated with this durable. More...
bool | Active`[get]`
| Determine if this durable is connected or dormant. This method has been replaced by Connected and this method has been deprecated as of EMS 4.4 More...
bool | Connected`[get]`
| Determine if this durable is connected or dormant. More...
long | PendingMessageCount`[get]`
| Get the total number of messages waiting to be delivered to this durable subscription. This also includes the delivered message count. More...
long | DeliveredMessageCount`[get]`
| Get the number of messages that have been delivered to the durable subscription but have not yet been acknowledged. More...
long | PendingMessageSize`[get]`
| Get the total size, in bytes, of messages waiting to be delivered to this durable subscription. More...
bool | NoLocalEnabled`[get]`
| Indicates whether or not the durable has opted not to receive "local" messages. More...
string | Selector`[get]`
| Get the selector that this durable uses. More...
bool | Static`[get]`
| Determine if this durable is static or dynamic. More...
bool | Shared`[get]`
| Returns `true` if this is a shared durable consumer. The shared subscription name is DurableName More...

## Detailed Description

This class represents a durable subscription on the Tibjms server.

The durable subscription may be active and receiving messages or it may be dormant, with its messages being stored on the server until it is active again.

## Member Function Documentation

override string TIBCO.EMS.ADMIN.DurableInfo.ToString | ( |  | ) |
| inline

Generate a string representation of this DurableInfo.

Returns
  a string representation of this DurableInfo.

## Property Documentation

bool TIBCO.EMS.ADMIN.DurableInfo.Active
| get

Determine if this durable is connected or dormant. This method has been replaced by Connected and this method has been deprecated as of EMS 4.4

Returns
  true if the durable is actively connected to the server.

string TIBCO.EMS.ADMIN.DurableInfo.ClientID
| get

Get the client ID associated with this durable.

Returns
  the client ID associated with this durable (can be null).

bool TIBCO.EMS.ADMIN.DurableInfo.Connected
| get

Determine if this durable is connected or dormant.

Returns
  true if the durable is actively connected to the server.

long TIBCO.EMS.ADMIN.DurableInfo.ConsumerID
| get

Get the consumer ID associated with this durable.

Returns
  the consumer ID associated with this durable.

long TIBCO.EMS.ADMIN.DurableInfo.DeliveredMessageCount
| get

Get the number of messages that have been delivered to the durable subscription but have not yet been acknowledged.

Returns
  the number of messages delivered to this durable subscription.

string TIBCO.EMS.ADMIN.DurableInfo.DurableName
| get

Get the name of this durable.

Returns
  the name of this durable.

bool TIBCO.EMS.ADMIN.DurableInfo.NoLocalEnabled
| get

Indicates whether or not the durable has opted not to receive "local" messages.

Local messages are those that have been sent on an application's own connection.

Returns
  true if the noLocal attribute is set, false otherwise.

long TIBCO.EMS.ADMIN.DurableInfo.PendingMessageCount
| get

Get the total number of messages waiting to be delivered to this durable subscription. This also includes the delivered message count.

Returns
  the number of messages waiting to be delivered to this durable subscription.

long TIBCO.EMS.ADMIN.DurableInfo.PendingMessageSize
| get

Get the total size, in bytes, of messages waiting to be delivered to this durable subscription.

Returns
  the total size, in bytes, of messages waiting to be delivered to this durable subscription.

string TIBCO.EMS.ADMIN.DurableInfo.Selector
| get

Get the selector that this durable uses.

Returns
  the selector if one is set, null otherwise.

bool TIBCO.EMS.ADMIN.DurableInfo.Shared
| get

Returns `true` if this is a shared durable consumer. The shared subscription name is DurableName

Returns
  `true` if this is a shared durable consumer.

bool TIBCO.EMS.ADMIN.DurableInfo.Static
| get

Determine if this durable is static or dynamic.

Returns
  true if the durable is statically configured on the server.

string TIBCO.EMS.ADMIN.DurableInfo.TopicName
| get

Get the topic name that this durable subscribes to.

Returns
  the name of the topic that the durable subsciption is on.

string TIBCO.EMS.ADMIN.DurableInfo.UserName
| get

Get the name of the authenticated user whose connection this durable subscriber is currently using.

Returns
  the name of the user using this durable subscription or null if there is no authenticated user or the durable is inactive.